<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md)

## HacknetNodesFormulas interface

Hacknet Node formulas

**Signature:**

```typescript
interface HacknetNodesFormulas 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[constants()](./bitburner.hacknetnodesformulas.constants.md)


</td><td>

All constants used by the game.


</td></tr>
<tr><td>

[coreUpgradeCost(startingCore, extraCores, costMult)](./bitburner.hacknetnodesformulas.coreupgradecost.md)


</td><td>

Calculate cost of upgrading hacknet node cores.


</td></tr>
<tr><td>

[hacknetNodeCost(n, mult)](./bitburner.hacknetnodesformulas.hacknetnodecost.md)


</td><td>

Calculate the cost of a hacknet node.


</td></tr>
<tr><td>

[levelUpgradeCost(startingLevel, extraLevels, costMult)](./bitburner.hacknetnodesformulas.levelupgradecost.md)


</td><td>

Calculate cost of upgrading hacknet node level.


</td></tr>
<tr><td>

[moneyGainRate(level, ram, cores, mult)](./bitburner.hacknetnodesformulas.moneygainrate.md)


</td><td>

Calculate money gain rate.


</td></tr>
<tr><td>

[ramUpgradeCost(startingRam, extraLevels, costMult)](./bitburner.hacknetnodesformulas.ramupgradecost.md)


</td><td>

Calculate cost of upgrading hacknet node ram.


</td></tr>
</tbody></table>

